# Error Logs

## Retrieve Error Logs

> Returns the latest errors that have occurred in interactions pertaining to Connectors, Webhooks, and Messages (\`message-to-devices\`). Use the \`types\[]\` parameter to specify which types of errors to include in the response. Multiple types can be specified to get errors from different sources.\
> {% hint style="info" %} Error Logs are stored with a retention limit per error type, meaning if a lot of errors are occurring you will only receive the latest ones. {% endhint %}

```json
{"openapi":"3.0.0","info":{"title":"Onomondo's API","version":"1.0.0"},"servers":[{"url":"https://api.onomondo.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/error-logs":{"get":{"summary":"Retrieve Error Logs","description":"Returns the latest errors that have occurred in interactions pertaining to Connectors, Webhooks, and Messages (`message-to-devices`). Use the `types[]` parameter to specify which types of errors to include in the response. Multiple types can be specified to get errors from different sources.\n{% hint style=\"info\" %} Error Logs are stored with a retention limit per error type, meaning if a lot of errors are occurring you will only receive the latest ones. {% endhint %}","parameters":[{"name":"types","in":"query","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["connectors","webhooks","messages-to-devices"]}},"description":"Filter error logs by type. Can specify multiple types using array syntax.\n**Available types:**\n- `connectors`: Errors related to Connectors\n- `webhooks`: Errors related to Webhooks\n- `messages-to-devices`: Errors related to Messages"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onomondo.com/readme/error-logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
